umbrello: Settings::ClassState Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::ClassState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| ClassState ()
void | load ()
void | save ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &element)

## Public Attributes
bool | showVisibility
bool | showAtts
bool | showOps
Uml::ShowStereoType::Enum | showStereoType
bool | showAttSig
bool | showOpSig
bool | showPackage
bool | showAttribAssocs
bool | showDocumentation
bool | showPublicOnly
Uml::Visibility::Enum | defaultAttributeScope
Uml::Visibility::Enum | defaultOperationScope

## Constructor & Destructor Documentation

## ◆ ClassState()

Settings::ClassState::ClassState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::ClassState::load | ( |  | ) |

## ◆ loadFromXMI()

bool Settings::ClassState::loadFromXMI | ( | QDomElement & | element | ) |

Load instance from a QDomElement.

Parameters

  element | A QDomElement representing xml element data.

Returns
  true on success
  false on error

## ◆ save()

void Settings::ClassState::save | ( |  | ) |

## ◆ saveToXMI()

void Settings::ClassState::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

Save instance to XMI.

Parameters

  writer | The QXmlStreamWriter to save to.

## Member Data Documentation

## ◆ defaultAttributeScope

Uml::Visibility::Enum Settings::ClassState::defaultAttributeScope

## ◆ defaultOperationScope

Uml::Visibility::Enum Settings::ClassState::defaultOperationScope

## ◆ showAttribAssocs

bool Settings::ClassState::showAttribAssocs

## ◆ showAtts

bool Settings::ClassState::showAtts

## ◆ showAttSig

bool Settings::ClassState::showAttSig

## ◆ showDocumentation

bool Settings::ClassState::showDocumentation

## ◆ showOps

bool Settings::ClassState::showOps

## ◆ showOpSig

bool Settings::ClassState::showOpSig

## ◆ showPackage

bool Settings::ClassState::showPackage

## ◆ showPublicOnly

bool Settings::ClassState::showPublicOnly

## ◆ showStereoType

Uml::ShowStereoType::Enum Settings::ClassState::showStereoType

## ◆ showVisibility

bool Settings::ClassState::showVisibility

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp